# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "lmn"
version = "0.2.0"
authors = ["Talek Solutions"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Fast HTTP load testing CLI with dynamic templates, thresholds, and load curves"
homepage = "https://github.com/talek-solutions/lmn"
documentation = "https://github.com/talek-solutions/lmn/blob/master/lmn-cli/CLI.md"
readme = "README.md"
keywords = [
    "load-testing",
    "http",
    "benchmark",
    "performance",
    "cli",
]
categories = [
    "command-line-utilities",
    "development-tools::testing",
]
license = "Apache-2.0"
repository = "https://github.com/talek-solutions/lmn"
resolver = "2"

[package.metadata.deb]
depends = "$auto"
section = "utils"
assets = [
    [
    "target/release/lmn",
    "usr/bin/",
    "755",
],
    [
    "../README.md",
    "usr/share/doc/lmn/README.md",
    "644",
],
]

[[bin]]
name = "lmn"
path = "src/main.rs"

[dependencies.clap]
version = "4.5.60"
features = [
    "derive",
    "unstable-doc",
]

[dependencies.clap-cargo]
version = "0.18.3"

[dependencies.dotenvy]
version = "0.15"

[dependencies.lmn-core]
version = "0.2.0"

[dependencies.opentelemetry]
version = "0.31.0"

[dependencies.opentelemetry-otlp]
version = "0.31.0"
features = [
    "http-proto",
    "reqwest-blocking-client",
    "trace",
]
default-features = false

[dependencies.opentelemetry_sdk]
version = "0.31.0"

[dependencies.serde_json]
version = "1.0.149"

[dependencies.tokio]
version = "1.51.0"
features = [
    "rt",
    "rt-multi-thread",
    "macros",
    "sync",
    "signal",
]

[dependencies.tracing]
version = "0.1.44"

[dependencies.tracing-opentelemetry]
version = "0.32.1"

[dependencies.tracing-subscriber]
version = "0.3.23"

[dev-dependencies.tempfile]
version = "3"
